package com.sundot.airport.exam.common.model;

import com.sundot.airport.exam.domain.ExamRecOpt;

import java.util.List;

/**
 * <b>功能名：GradeResult</b><br>
 * <b>说明：</b> 判卷结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-19 Mokou
 */
public class GradeResult {
    /**
     * 用户得分
     */
    private int userScore;

    /**
     * 答对题目数
     */
    private int correctCount;

    /**
     * 部分正确题目数
     */
    private int partCorrectCount;

    /**
     * 错误题目数
     */
    private int incorrectCount;

    /**
     * 未作答题目数
     */
    private int notFilledCount;

    /**
     * 总题目数
     */
    private int questionCount;

    /**
     * 待更新用户答案快照列表
     */
    private List<ExamRecOpt> examRecOptList;

    public int getUserScore() {
        return userScore;
    }

    public void setUserScore(int userScore) {
        this.userScore = userScore;
    }

    public int getCorrectCount() {
        return correctCount;
    }

    public void setCorrectCount(int correctCount) {
        this.correctCount = correctCount;
    }

    public int getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(int questionCount) {
        this.questionCount = questionCount;
    }

    public List<ExamRecOpt> getExamRecOptList() {
        return examRecOptList;
    }

    public void setExamRecOptList(List<ExamRecOpt> examRecOptList) {
        this.examRecOptList = examRecOptList;
    }

    public int getNotFilledCount() {
        return notFilledCount;
    }

    public void setNotFilledCount(int notFilledCount) {
        this.notFilledCount = notFilledCount;
    }

    public int getPartCorrectCount() {
        return partCorrectCount;
    }

    public void setPartCorrectCount(int partCorrectCount) {
        this.partCorrectCount = partCorrectCount;
    }

    public int getIncorrectCount() {
        return incorrectCount;
    }

    public void setIncorrectCount(int incorrectCount) {
        this.incorrectCount = incorrectCount;
    }

    @Override
    public String toString() {
        return "GradeResult{" +
                "userScore=" + userScore +
                ", correctCount=" + correctCount +
                ", partCorrectCount=" + partCorrectCount +
                ", incorrectCount=" + incorrectCount +
                ", notFilledCount=" + notFilledCount +
                ", questionCount=" + questionCount +
                ", examRecOptList=" + examRecOptList +
                '}';
    }
}
